Summary: An X Window System game of falling jewel blocks.
Name: xjewel
Version: 1.6
Release: 15
Copyright: MIT
Group: Amusements/Games
Source: ftp://ftp.x.org/R5contrib/xjewel-1.6.tar.z
Patch0: xjewel-1.6-imake.patch
Patch1: xjewel-1.6-enhance.patch
Patch2: xjewel-1.6-nobr.patch
Patch3: xjewel-1.6-select.patch
BuildRoot: /var/tmp/xjewel-root

%description
Xjewel is an X Window System game much like Domain/Jewelbox, Sega's
Columns and/or Tetris.  The point of the game is to move or rotate the
blocks as they fall, to get jewels in patterns of three when they come
to rest.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0

%build
xmkmf
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
mkdir -p $RPM_BUILD_ROOT/var/lib/games

make DESTDIR=$RPM_BUILD_ROOT install install.man

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xjewel.desktop <<EOF
[Desktop Entry]
Name=XJewel
Comment=Columns Game
Exec=/usr/X11R6/bin/xjewel
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xjewel
/var/lib/games/xjewel.scores
/usr/X11R6/man/man1/xjewel.1x*
%config /etc/X11/applnk/Games/xjewel.desktop

%changelog
* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- handle compressed man pages
- fix handling of RPM_OPT_FLAGS
- replace wmconfig entry with .desktop file

* Fri Jan  7 2000 Nalin Dahyabhai <nalin@redhat.com> 
- fix cpu chewing due to bad arguments to select()

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
